nvme_mi_admin_format_nvm(2)

NAME
nvme_mi_admin_format_nvm - Format NVMe namespace

SYNOPSIS
int nvme_mi_admin_format_nvm (nvme_mi_ctrl_t ctrl , struct nvme_format_nvm_args *args );

ARGUMENTS

ctrl
    Controller to send command to

args
    Format NVM command arguments

DESCRIPTION
Perform a low-level format to set the LBA data & metadata size. May destroy data & metadata on the specified namespaces

RETURN
The nvme command status if a response was received (see enum nvme_status_field) or -1 with errno set otherwise.